E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::Socks Class Reference

Implements the socks4a proxy connection protocol. More...

`#include <gsocks.h>`

## Public Member Functions
| Socks (const Location &)
| Constructor.
bool | send (G::ReadWrite &)
| Sends the connect-request pdu. Returns true if fully sent.
bool | read (G::ReadWrite &)
| Reads the response. More...

## Detailed Description

Implements the socks4a proxy connection protocol.

Definition at line 38 of file gsocks.h.

## Member Function Documentation

bool GNet::Socks::read | ( | G::ReadWrite & | io | ) |

Reads the response.

Returns true if fully received and positive. Throws if the response is negative.

Definition at line 89 of file gsocks.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gsocks.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gsocks.cpp